from setuptools import setup, find_packages

setup(
    name="rbxmx-extractor",
    version="1.0.0",
    author="JustStop__",
    author_email="contact@juststop.dev",
    description="A tool to extract and decode Roblox RBXMX files.",
    long_description=open("README.md").read(),
    long_description_content_type="text/markdown",
    url="https://github.com/juststopp/rbxmx-extractor",
    packages=find_packages(),
    install_requires=[
        "colorama>=0.4.6"
    ],
    entry_points={
        "console_scripts": [
            "rbxmx-extractor=rbxmx_extractor.extractor:main",
        ],
    },
    classifiers=[
        "Programming Language :: Python :: 3",
        "License :: OSI Approved :: MIT License",
        "Operating System :: OS Independent",
    ],
    python_requires=">=3.6",
)